Skip to content

PropertyRadar API (5.0.0.0)

PropertyRadar Public API

Download OpenAPI description
Languages
Servers
https://api.propertyradar.com

Properties

Find owners, properties, parcels and documents

Operations

Persons

View and Export owners, including trusts & business entities

Find and purchase phones and emails and get details on property owners, called "Contacts" in the app.

Operations

Lists

About Lists
View and manage potential customers and properties, by sorting properties into organized groups, called lists

PropertyRadar supports 3 different kinds of lists, and each type can be monitored or unmonitored.

Dynamic lists
Dynamic lists are created from a Criteria object, and are updated automatically when monitored. If a Dynamic list is unmonitored, it is updated whenever you make a call to view the items in the list, such as Properties from Criteria (using InList), or View list items.

Static lists
Static Lists are created by adding properties to a list using Add items to list. They do not have search criteria. Properties on Static lists only change when you add or remove properties, or set up an automation to do so.

Import lists
With import lists, you provide raw unmatched data such as addresses or emails via Match and import to list, and we match that data with our records and create a list of matching records.

Operations

Suggestions

Get typeahead menus

Operations

Integrations

Connect PropertyRadar to your sales, marketing, and productivity apps

Operations

Imports

Import and match properties and people

Operations

Automations

Configure Alerts and Automations

Operations

Accounts

Account info and preferences

Operations

View the account's members

Request

View all members of an account.This service merges the users from account_members and account_invitations.

Security
api_key_bearer
curl -i -X GET \
  https://api.propertyradar.com/v1/accounts/members \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ {} ] }

View status level labels

Request

View the labels associated with each of the 9 status levels.

Security
api_key_bearer
Query
Layoutstring

Controls how the data is returned.

  • compact returns a single comma-delimited string of values
  • edit returns associative array with keys label1, label2, etc
  • menu returns indexed array or objects with Value and Label attributes
Default "menu"
Enum"edit""menu""compact"
curl -i -X GET \
  'https://api.propertyradar.com/v1/accounts/preferences/statuses?Layout=edit' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ {} ] }

Documents

Get and edit documents that make up the transaction history for a property

Operations